> For the complete documentation index, see [llms.txt](https://docs.fivem.id/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fivem.id/fmid_garasi-2023/integrasi.md).

# Integrasi

## bcs\_housing

di dalam bcs\_housing/client/garage.lua

```lua
local grs = lib.callback.await('fmid_garasi:getgrs', false, 'lokasi')
if grs?[data.name] then
    TriggerEvent('fmid_garasi:aksesGarasi', data.name)
else
    local saveCustomGarage = lib.callback.await('fmid_garasi:addCustomGarasi', false, data.name, data)
    TriggerEvent('fmid_garasi:aksesGarasi', data.name)
end
```

### ps-housing

di dalam ps-housing/client/cl\_property.lua

cari function Property:RegisterGarageZone()

replace menjadi berikut ini

```lua
function Property:RegisterGarageZone()
    if not next(self.propertyData.garage_data) then return end

    if not (self.has_access or self.owner) or not self.owner then
        return
    end

    local garageData = self.propertyData.garage_data
    local garageName = string.format("property-%s-garage", self.property_id)

    local data = {
        takeVehicle = {
            x = garageData.x,
            y = garageData.y,
            z = garageData.z,
            w = garageData.h
        },
        type = "house",
        label = self.propertyData.street .. self.property_id .. " Garage",
    }

    TriggerEvent("qb-garages:client:addHouseGarage", self.property_id, data)
    local cbGarasi = exports.fmid_garasi:AddCustomGarasi({
        nama = self.property_id,
        label = 'Garasi '..self.propertyData.street .. self.property_id,
        coords = vec3(garageData.x, garageData.y, garageData.z),
    })

    self.garageZone = lib.zones.box({
        coords = vec3(garageData.x, garageData.y, garageData.z),
        size = vector3(garageData.length + 5.0, garageData.width + 5.0, 3.5),
        rotation = garageData.h,
        debug = Config.DebugMode,
        onEnter = function()
            TriggerEvent('qb-garages:client:setHouseGarage', self.property_id, true)
            cbGarasi.inside('garasi_'..self.property_id)
        end,
        onExit = function()
            cbGarasi.outside()
        end
    })
end
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fivem.id/fmid_garasi-2023/integrasi.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
